cmake_minimum_required(VERSION 3.18.1)
project("kde_win")

# This file is only intended for windows desktop builds
if (NOT WIN32)
    message(FATAL_ERROR "Only windows builds from top-level CMakeLists.txt")
endif()

set(GLFW_BUILD_DOCS OFF CACHE BOOL "" FORCE)
set(GLFW_BUILD_TESTS OFF CACHE BOOL "" FORCE)
set(GLFW_BUILD_EXAMPLES OFF CACHE BOOL "" FORCE)

add_subdirectory(glfw)

add_subdirectory(app/src/main/cpp)
